Package org.gradle.nativeplatform

# Interface SharedLibraryBinary

All Superinterfaces:
  `Binary`, `NativeBinary`, `NativeLibraryBinary`

All Known Subinterfaces:
  `PrebuiltSharedLibraryBinary`

@Incubating public interface SharedLibraryBinary extends NativeLibraryBinary
A `NativeLibrary` that has been compiled and linked as a shared library.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getSharedLibraryFile()`
  The shared library file.
  `File`
  `getSharedLibraryLinkFile()`
  The shared library link file.

  ### Methods inherited from interface org.gradle.platform.base.Binary

  `getDisplayName`

  ### Methods inherited from interface org.gradle.nativeplatform.NativeBinary

  `getBuildType, getFlavor, getTargetPlatform`

  ### Methods inherited from interface org.gradle.nativeplatform.NativeLibraryBinary

  `getHeaderDirs, getLinkFiles, getRuntimeFiles`

- ## Method Details

  - ### getSharedLibraryFile

    File getSharedLibraryFile()
    The shared library file.

  - ### getSharedLibraryLinkFile

    File getSharedLibraryLinkFile()
    The shared library link file.